# Get a lead

`GET https://app.whatsetter.com/api/v1/leads/{id}`

Requires scope `leads:read`.

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `id` | path | string | yes |  |

## Example request

```bash
curl --request GET \
  --url 'https://app.whatsetter.com/api/v1/leads/{id}' \
  --header 'Authorization: Bearer ws_live_…'
```

## Responses

### 200: The lead

```json
{
  "data": {
    "id": "",
    "phone": "",
    "whatsapp_id": "",
    "name": "",
    "status": "qualified",
    "qualified": false,
    "qualified_at": "",
    "replied": false,
    "campaign_id": "",
    "list_id": "",
    "source": "instagram",
    "source_confidence": "certain",
    "tracked_link_id": "",
    "external_reference": "",
    "channel": "whatsapp",
    "ig_username": "",
    "email": "",
    "tags": [
      ""
    ],
    "messages_count": 0,
    "booking_status": "",
    "assigned_to": "",
    "stage": "contacted",
    "deal_status": "open",
    "lost_reason": "price",
    "next_action_at": "",
    "next_action_label": "",
    "first_contact_at": "",
    "last_message_at": "",
    "last_message_direction": "inbound",
    "created_at": "",
    "updated_at": ""
  }
}
```

### 401: Missing, unknown or revoked API key

```json
{
  "error": {
    "code": "",
    "message": ""
  }
}
```

### 404: Resource not found in this workspace

```json
{
  "error": {
    "code": "",
    "message": ""
  }
}
```


Source: https://docs.whatsetter.com/api-reference/operations/getlead/
